Subject: Re: bug#49340: small sort takes hours for UTF-8 locale

From: Paul Eggert <[email-masked]>
Date: Fri, 2 Jul 2021 17:25:51 -0700

On 7/2/21 4:19 PM, Pádraig Brady wrote:
> we might be able to improve things.
> For example, using strxfrm() + strcmp() to minimize processing.

I tried that long ago, and it was waaayyy slower than strcoll in the 
typical case. glibc strxfrm is not at all optimized.

Which is fine, since strxfrm is a dumb API: its only point is 
performance but its portable API is inherently low-performance for 
typical uses. I've never seen it useful.

In short, this is a glibc strcoll bug and should be fixed there.